Campaign Keys

Campaign key management operations

Get campaign keys by key

get
/api/campaigns/keys

Retrieve campaign keys by key value

Responses
chevron-right
200

Campaign keys

application/json
get
/api/campaigns/keys

Get campaign keys

get
/api/campaigns/{campaign_id}/keys

Retrieve all keys for a specific campaign

Path parameters
campaign_idstring · uuidRequired

Campaign ID

Responses
chevron-right
200

Campaign keys

application/json
get
/api/campaigns/{campaign_id}/keys

Create campaign key

post
/api/campaigns/{campaign_id}/keys

Create a new key for a campaign

Path parameters
campaign_idstring · uuidRequired

Campaign ID

Body
keystring · min: 1Required

Campaign key value

Example: summer2024
enabledbooleanOptional

Whether the key is enabled

Default: trueExample: true
active_sincestring · date-time | nullableOptional

Key activation time

Example: 2024-01-01T00:00:00Z
active_untilstring · date-time | nullableOptional

Key expiration time

Example: 2024-12-31T23:59:59Z
requires_authenticationbooleanOptional

Whether the key requires user authentication

Default: falseExample: false
requires_captchabooleanOptional

Whether the key requires captcha verification

Default: falseExample: false
requires_catalystbooleanOptional

Whether the key requires catalyst verification

Default: falseExample: false
requires_positionstring | nullableOptional

Required position for catalyst verification

Example: *
assign_targetstring · address | nullableOptional

Target contract for reward assignment

Example: 0x1234567890123456789012345678901234567890
assign_valuestring | nullableOptional

Value for reward assignment

Example: 1
assign_groupstring | nullableOptional

Group for reward assignment

Example: premium
assign_limitnumber | nullableOptional

Assignment limit for the key

Example: 100
Responses
post
/api/campaigns/{campaign_id}/keys

Get campaign key details

get
/api/campaigns/{campaign_id}/keys/{campaign_key_id}

Retrieve detailed information about a specific campaign key

Path parameters
campaign_idstring · uuidRequired

Campaign ID

campaign_key_idstring · uuidRequired

Campaign Key ID

Responses
chevron-right
200

Campaign key details

application/json
get
/api/campaigns/{campaign_id}/keys/{campaign_key_id}

Delete campaign key

delete
/api/campaigns/{campaign_id}/keys/{campaign_key_id}

Delete a campaign key

Path parameters
campaign_idstring · uuidRequired

Campaign ID

campaign_key_idstring · uuidRequired

Campaign Key ID

Responses
chevron-right
200

Campaign key deleted successfully

application/json
delete
/api/campaigns/{campaign_id}/keys/{campaign_key_id}

Update campaign key

patch
/api/campaigns/{campaign_id}/keys/{campaign_key_id}

Update campaign key configuration

Path parameters
campaign_idstring · uuidRequired

Campaign ID

campaign_key_idstring · uuidRequired

Campaign Key ID

Body
keystring · min: 1Optional

Campaign key value

Example: summer2024
enabledbooleanOptional

Whether the key is enabled

Example: true
active_sincestring · date-time | nullableOptional

Key activation time

Example: 2024-01-01T00:00:00Z
active_untilstring · date-time | nullableOptional

Key expiration time

Example: 2024-12-31T23:59:59Z
requires_authenticationbooleanOptional

Whether the key requires user authentication

Example: false
requires_captchabooleanOptional

Whether the key requires captcha verification

Example: false
requires_catalystbooleanOptional

Whether the key requires catalyst verification

Example: false
requires_positionstring | nullableOptional

Required position for catalyst verification

Example: *
assign_targetstring · address | nullableOptional

Target contract for reward assignment

Example: 0x1234567890123456789012345678901234567890
assign_valuestring | nullableOptional

Value for reward assignment

Example: 1
assign_groupstring | nullableOptional

Group for reward assignment

Example: premium
assign_limitnumber | nullableOptional

Assignment limit for the key

Example: 100
Responses
chevron-right
200

Campaign key updated successfully

application/json
patch
/api/campaigns/{campaign_id}/keys/{campaign_key_id}

Last updated